
Foreman - Bug #1381

Foreman uses fqdn internally for DHCP nextServer. This should be the IP address.

12/07/2011 03:17 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: DHCP   

Target version: 0.4.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Conflict resolution requires that the attrs returned by the smart-proxy match the attrs that foreman uses. Foreman uses a hostname

internally whilst the smart-proxy always returns an IP address.

This results in bogus conflicts.

Related issues:

Related to Foreman - Bug #1420: bootserver ip lookup fails if not managing dns Closed 12/31/2011

Related to Foreman - Bug #1451: Host creation fails if ":tftp_servername:" is... Closed 01/18/2012

Associated revisions

Revision 7fe22657 - 12/08/2011 08:12 AM - Paul Kelly

fixes #1381 - nextServer should be handled internally as an IP address not a hostname

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

Revision 66be1d4b - 12/08/2011 10:45 AM - Paul Kelly

fixes #1381 - nextServer should be handled internally as an IP address not a hostname

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 12/08/2011 09:19 AM - Paul Kelly

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 7fe22657d60cdeb34409e2fe8b0c6d46b8fea1bf.

#2 - 12/09/2011 09:47 AM - Ohad Levy

- Target version set to 0.4.1

#3 - 12/30/2011 04:53 AM - Ohad Levy

this patch breaks if dhcp is enabled, but dns is off :-\

#4 - 01/01/2012 04:20 AM - Ohad Levy

Ohad Levy wrote:

this patch breaks if dhcp is enabled, but dns is off :-\

 and thanks to Paul it is fixed in #1420
